-- |
-- Module	: NMUTool.NMUTool
-- Copyright	: 2009 Kari Pahula <kaol@debian.org>
-- License	: GPLv2 or later

module NMUTool.NMUTool(defaultMain) where

import System.IO (stdin, stderr, hPutStrLn)
import System.Environment (getArgs)
import System.Exit
import Data.List (nub,intersect)
import Data.Maybe (catMaybes)

import NMUTool.Version
import NMUTool.Packages
import NMUTool.Madison
import NMUTool.Types
import NMUTool.Depwait
import NMUTool.Buildd

defaultMain = do
  args <- getArgs
  case length args of
    1 -> return ()
    _ -> do hPutStrLn stderr "Usage: nmutool PACKAGE"
            exitFailure
  let depcheck = head args
  srcs <- loadPackages depcheck stdin
  vers <- callMadison srcs
  nmus <- needNMUs srcs
  nmuOut srcs depcheck nmus
  dwOut vers srcs
