-- |
-- Module	: NMUTool.Types
-- Copyright	: 2009 Kari Pahula <kaol@debian.org>
-- License	: GPLv2 or later

module NMUTool.Types where

import NMUTool.Version
import Data.List (nub)
import qualified Data.Map as Map
import Control.Applicative

type Name = String
type Arch = String
type Source = (Name,(Version,[Binary],[Arch]))
type BinaryVersions = (Name,[(Arch,Version)])

data Binary = Binary
    { binary :: Name
    , devdeps :: [Name]
    , provides :: [Name]
    }
    deriving (Show,Eq)

sdeps :: Source -> [Name]
sdeps = nub . concatMap devdeps . (\(_,x,_) -> x) . snd

sbins :: Source -> [Name]
sbins = map binary . (\(_,x,_) -> x) . snd

sprov :: Source -> [(Name,[Name])]
sprov = (map (liftA2 (,) binary devdeps)) . (\(_,x,_) -> x) . snd
